Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026554
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-05-15 11:052014-05-26 11:02
ReporterjecharriView Statuspublic 
Assigned Tomalsasua 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiona71dfdeec808
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026554: Cash Up fails always that you have an error in errors while importing pos data window

DescriptionCash Up fails always that you have an error in errors while importing pos data window
Steps To Reproduce-Configure one store with some terminals
-Create an error in one order in one terminal

Verify that all cash ups will end in error

The problem is that we are not filtering by terminal.
Proposed SolutionFilter by terminal in the following query in JAVA modules/org.openbravo.retail.posterminal/src/org/openbravo/retail/posterminal/ProcessCashClose.java

OBCriteria<OBPOSErrors> errorsQuery = OBDal.getInstance().createCriteria(OBPOSErrors.class);
    errorsQuery.add(Restrictions.ne(OBPOSErrors.PROPERTY_TYPEOFDATA, "CU"));
    errorsQuery.add(Restrictions.eq(OBPOSErrors.PROPERTY_ORDERSTATUS, "N"));
    if (errorsQuery.count() > 0) {
      throw new OBException(
          "There are errors related to non-created customers, orders, or cash management movements pending to be processed. Process them before processing the cash ups");
    }
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067186)
hgbot (developer)
2014-05-16 00:41

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a71dfdeec80869dd76ac2fa869acd268d0cbed0f
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Thu May 15 19:40:56 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a71dfdeec80869dd76ac2fa869acd268d0cbed0f [^]

Fixed issue 26554: Cash Up fails always that you have an error in errors while importing pos data window

---
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
---
(0067201)
hgbot (developer)
2014-05-16 09:34

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: a71dfdeec80869dd76ac2fa869acd268d0cbed0f
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Thu May 15 19:40:56 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/a71dfdeec80869dd76ac2fa869acd268d0cbed0f [^]

Fixed issue 26554: Cash Up fails always that you have an error in errors while importing pos data window

---
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
---

- Issue History
Date Modified Username Field Change
2014-05-15 11:05 jecharri New Issue
2014-05-15 11:05 jecharri Assigned To => malsasua
2014-05-15 11:05 jecharri Triggers an Emergency Pack => No
2014-05-15 17:49 VictorVillar Issue Monitored: VictorVillar
2014-05-16 00:41 hgbot Checkin
2014-05-16 00:41 hgbot Note Added: 0067186
2014-05-16 00:41 hgbot Status new => resolved
2014-05-16 00:41 hgbot Resolution open => fixed
2014-05-16 00:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a71dfdeec80869dd76ac2fa869acd268d0cbed0f [^]
2014-05-16 09:34 hgbot Checkin
2014-05-16 09:34 hgbot Note Added: 0067201
2014-05-16 09:34 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a71dfdeec80869dd76ac2fa869acd268d0cbed0f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/a71dfdeec80869dd76ac2fa869acd268d0cbed0f [^]
2014-05-26 11:02 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker